{#
/**
 * @file
 * Default theme implementation to display an Content Entity Builer entity.
 *
 * Available variables:
 * - content: All Content Entity items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'content-entity',
    view_mode == 'teaser' ? 'tw-leading-6',
    view_mode == 'teaser' ? 'tw-text-left',
    view_mode == 'teaser' ? 'tw-space-y-1.5',
    view_mode == 'list' or view_mode == 'timeline' or view_mode == 'embedded' or view_mode == 'timeline_author_profile' ? 'tw-pt-4',
    view_mode == 'list' or view_mode == 'timeline' or view_mode == 'embedded' or view_mode == 'timeline_author_profile' ? 'first:tw-pt-0',
    view_mode == 'timeline' or view_mode == 'timeline_author_profile' ? 'tw-flex',
    view_mode == 'timeline' or view_mode == 'timeline_author_profile' ? 'tw-items-start',
    view_mode == 'timeline' or view_mode == 'timeline_author_profile' ? 'tw-space-x-7.5',
  ]
%}
<div{{ attributes.addClass(classes) }}>
  {% if add_hidden_header %}
    <h2 class="tw-sr-only">{{ label }}</h2>
  {% endif %}
  {% if view_mode == 'teaser' %}
    {{ content.type }}
    {% if is_embedded and author_profile_title %}
      <div>{{ author_profile_title }}</div>
    {% endif %}
    {{ date }}
    {{ content.field_content }}
  {% elseif view_mode == 'list' or view_mode == 'embedded' %}
    {{ date }}
    {{ content.field_content }}
  {% elseif view_mode == 'timeline' or view_mode == 'timeline_author_profile' %}
    {{ content.type }}
    <div class="tw-flex-1 tw-pb-4 tw-border-b tw-border-gray-200">
      {% if is_embedded and author_profile_title and view_mode != 'timeline_author_profile' %}
        <div>{{ author_profile_title }}</div>
      {% endif %}
      {{ date }}
      {{ content.field_content }}
    </div>
  {% else %}
    {{ content }}
  {% endif %}
</div>
